package gssim.db.dao.data;

/**
 * 
 * @author Jarek Szymczak
 *
 */
public class PluginCompatibility {

	protected Integer parentId;
	protected Integer childId;
		
	public Integer getParentId() {
		return parentId;
	}
	
	public void setParentId(Integer parentId) {
		this.parentId = parentId;
	}
	
	public Integer getChildId() {
		return childId;
	}
	
	public void setChildId(Integer childId) {
		this.childId = childId;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((parentId == null) ? 0 : parentId.hashCode());
		result = prime * result + ((childId == null) ? 0 : childId.hashCode());
		return result;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		PluginCompatibility other = (PluginCompatibility) obj;
		if (parentId != other.parentId)
			return false;
		if (childId != other.childId)
			return false;
		return true;
	}
	
	@Override
	public String toString() {
		return "PluginCompatibility [parentId=" + parentId + ", childId=" + childId;
	}
}
