package gssim.db.reader;

import java.sql.Timestamp;

/**
 * 
 * @author Marcin Krystek, Jarek Szymczak
 *
 */
public class UsageReader extends StatsReader {

	protected String resourceName;
	
	public UsageReader(StatsParser p) {
		super(p);
	}
	
	public String getName(){
		return this.values[0];
	}
	
	public Timestamp getTimeStamp(){
		return new Timestamp(getAsLong(1));
	}
	
	public Float getUsage(){
		return getAsFloat(2);
	}
}
